/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.detach.groupama;

import java.util.ArrayList;
import java.util.Collection;

/**
 * @author Y.Bersihand
 */
public class SpecialiteMercureHelper {

	//composite pk
	private int cdmed;
	private int cdmec;
	private int cdmese;
	
	private DomaineHelper domaine;
	private Collection conventions;
	
	public SpecialiteMercureHelper() {
		conventions = new ArrayList();
	}

	public int getCdmec() {
		return cdmec;
	}
	public void setCdmec(int cdmec) {
		this.cdmec = cdmec;
	}
	public int getCdmed() {
		return cdmed;
	}
	public void setCdmed(int cdmed) {
		this.cdmed = cdmed;
	}
	public int getCdmese() {
		return cdmese;
	}
	public void setCdmese(int cdmese) {
		this.cdmese = cdmese;
	}
	public Collection getConventions() {
		return conventions;
	}
	public void setConventions(Collection conventions) {
		this.conventions = conventions;
	}
	public DomaineHelper getDomaine() {
		return domaine;
	}
	public void setDomaine(DomaineHelper domaine) {
		this.domaine = domaine;
	}
	
	public void addConvention(ConventionHelper conv) {
		conventions.add(conv);
	}
}
