/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.inheritance.filtered;

import java.util.Collection;
import java.util.ArrayList;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class Zoo {

	/**
	 * Identifier
	 */
	private String name;

	private Collection animals;

	private Animal anAnimal;

	private Collection kangaroos;

	private Kangaroo aKangaroo;

	public Zoo(String name) {
		this.name = name;
		animals = new ArrayList();
		kangaroos = new ArrayList();
		anAnimal = null;
		aKangaroo = null;
	}

	public String getName() {
		return name;
	}

	public Collection getAnimals() {
		return animals;
	}

	public void setAnimals(Collection animals) {
		this.animals = animals;
	}

	public Animal getAnAnimal() {
		return anAnimal;
	}

	public void setAnAnimal(Animal anAnimal) {
		this.anAnimal = anAnimal;
	}

	public Collection getKangaroos() {
		return kangaroos;
	}

	public void setKangaroos(Collection kangaroos) {
		this.kangaroos = kangaroos;
	}

	public Kangaroo getaKangaroo() {
		return aKangaroo;
	}

	public void setaKangaroo(Kangaroo aKangaroo) {
		this.aKangaroo = aKangaroo;
	}
}
