/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S. Chassande-Barrioz
 *
 */
package org.objectweb.speedo.pobjects.unilog;

import java.util.Collection;

/**
 * @author unilog31
 */
public class Team
{
  int id;
  String name;
  String login;
  String password;
  Collection vehicles;  
  /**
   * @return Returns the id.
   */
  public int getId()
  {
    return id;
  }
  /**
   * @param id The id to set.
   */
  public void setId(int id)
  {
    this.id = id;
  }
  /**
   * @return Returns the login.
   */
  public String getLogin()
  {
    return login;
  }
  /**
   * @param login The login to set.
   */
  public void setLogin(String login)
  {
    this.login = login;
  }
  /**
   * @return Returns the name.
   */
  public String getName()
  {
    return name;
  }
  /**
   * @param name The name to set.
   */
  public void setName(String name)
  {
    this.name = name;
  }
  /**
   * @return Returns the password.
   */
  public String getPassword()
  {
    return password;
  }
  /**
   * @param password The password to set.
   */
  public void setPassword(String password)
  {
    this.password = password;
  }
  /**
   * @return Returns the vehicules.
   */
  public Collection getVehicles()
  {
    return vehicles;
  }
  /**
   * @param vehicules The vehicules to set.
   */
  public void setVehicules(Collection vehicles)
  {
    this.vehicles = vehicles;
  }
}
