/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.userid;

import java.util.Collection;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class AutoIncFieldId {

    long id = -1;
    String f1 = null;
    float f2 = 0;
    Collection colOfRef2AutoIncFieldId;
    Ref2AutoIncFieldId independantRef;

    public AutoIncFieldId() {
    }

    public AutoIncFieldId(Collection colOfRef2AutoIncFieldId) {
        this.colOfRef2AutoIncFieldId = colOfRef2AutoIncFieldId;
    }

    public long getId() {
        return id;
    }

    public String getF1() {
        return f1;
    }

    public float getF2() {
        return f2;
    }

    public void setF1(String f1) {
        this.f1 = f1;
    }

    public void setF2(float f2) {
        this.f2 = f2;
    }
}
