package org.objectweb.speedo.pobjects.userid;

import java.util.Collection;

/**
 * Table des intervenants.
 *
 * TSMF7D00
 *
 * @persistent
 * @rdbPhysicalName IntervenantHelper
 * @rdbPhysicalPrimaryKeyName DSMF7D00
 */
public class IntervenantHelper {

  /** Identifiant unique de serialisation */
  static final private long serialVersionUID = 0;

  /**
   * @rdbPhysicalName NOMEP
   * @rdbNotNull
   * @rdbSize 8
   * @rdbDigits 0
   * @rdbLogicalType DECIMAL
   * @rdbPrimaryKey
   */
  private long nomep;

  /** Liste des conventions */
  private Collection conventions;
  
  /**
   * Constructeur par defaut.
   */
  public IntervenantHelper() {
  }
 
   /**
   * Getter de nomep.
   *
   * @return nomep
   */
  public long getNomep() {
    return nomep;
  }
  
  /**
   * Setter de nomep.
   *
   * @param pNomep
   *            Nouvelle valeur de nomep
   */
  public void setNomep(long pNomep) {
    nomep = pNomep;
  }
  
  /**
   * Getter de conventions.
   *
   * @return conventions
   */
  public Collection getConventions() {
    return conventions;
  }

   /**
   * Setter de conventions.
   *
   * @param pConventions
   *            Nouvelle valeur de conventions
   */
  public void setConventions(Collection pConventions) {
    conventions = pConventions;
  }

}
