/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.basic;

import java.util.Collection;
import java.util.Date;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class Order {
	long id;
	String userId;
	float amount;
	int authCode;
	Date saleDateTime;
	String ccLastDigits;
	Collection orderLines;

	public Order(long id) {
		this.id = id;
	}

	public long getId() {
		return id;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public float getAmount() {
		return amount;
	}

	public void setAmount(float amount) {
		this.amount = amount;
	}

	public int getAuthCode() {
		return authCode;
	}

	public void setAuthCode(int authCode) {
		this.authCode = authCode;
	}

	public Date getSaleDateTime() {
		return saleDateTime;
	}

	public void setSaleDateTime(Date saleDateTime) {
		this.saleDateTime = saleDateTime;
	}

	public String getCcLastDigits() {
		return ccLastDigits;
	}

	public void setCcLastDigits(String ccLastDigits) {
		this.ccLastDigits = ccLastDigits;
	}

	public Collection getOrderLines() {
		return orderLines;
	}

	public void setOrderLines(Collection orderLines) {
		this.orderLines = orderLines;
	}
}
