/**
 * Copyright (C) 2001-2006 France Telecom R&D
 */
package org.objectweb.speedo.runtime.concurrency;

import org.objectweb.speedo.api.SpeedoProperties;

import java.util.Properties;

public class TestPessimisticMutexManyUsers extends TestManyUsers {

    public TestPessimisticMutexManyUsers(String n) {
        super(n);
    }

    public Properties getPMFProperties() {
        Properties prop = super.getPMFProperties();
        prop.put(SpeedoProperties.JDO_OPTION_OPTIMISTIC, "false");
        prop.put(SpeedoProperties.TRANSACTION_LOCKING_PESSIMISTIC_POLICY, 
                SpeedoProperties.TRANSACTION_LOCKING_PESSIMISTIC_POLICY_MUTEX);
        return prop;
    }
}
